package com.auto.clicker.autoclicker.room.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "solutions")
public class Solution {
    @PrimaryKey(autoGenerate = true)
    public long solutionId;

    @ColumnInfo(name = "solution_name")
    public String solutionName;

    public Solution(String solutionName) {
        this.solutionName = solutionName;
    }

    public long getSolutionId() { return solutionId; }
    public void setSolutionId(long solutionId) { this.solutionId = solutionId; }
    public String getSolutionName() { return solutionName; }
    public void setSolutionName(String solutionName) { this.solutionName = solutionName; }
}
